import { SingleSubject } from '../types/signal';
import { BalAnimationObserver, BalAnimationObserverInfo } from './animation.interfaces';
export declare class BalAnimationSubject extends SingleSubject<BalAnimationObserver, BalAnimationObserverInfo> {
    private listener;
    constructor();
    attach(observer: BalAnimationObserver): void;
    detach(): void;
}
export declare const balAnimationSubject: BalAnimationSubject;
